## kdesdk-kioslaves 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(kioslave)

set(QT_MIN_VERSION 5.5.0)
set(KF5_MIN_VERSION 5.27.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
    Core
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    I18n
    KIO
)

find_package(Perl 5.10)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

if(PERL_FOUND)
    add_subdirectory(perldoc)
endif(PERL_FOUND)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

## kdesdk-kioslaves 4.11.2

=== debian/changelog ===
kdesdk-kioslaves (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:21:46 +0100

kdesdk-kioslaves (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:20:42 +0100

kdesdk-kioslaves (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:12:37 +0100

kdesdk-kioslaves (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:30:51 +0100

kdesdk-kioslaves (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:18 +0000

kdesdk-kioslaves (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:11:30 +0100

kdesdk-kioslaves (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kdesdk-kioslaves

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:38:25 +0100

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), 
 libsvn-dev,
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kioslaves-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdesdk-kio-plugins (= ${binary:Version}), kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kdesdk-kio-plugins
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-kio-plugins.

## kdesdk-kioslaves 4.11.3

=== debian/changelog ===
kdesdk-kioslaves (4:4.11.3-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:26:04 +0100

kdesdk-kioslaves (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:59:39 +0200

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.10.2),
 libsvn-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-kioslaves.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-kioslaves.git

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

## kdesdk-kioslaves 4.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:10 +0200

kdesdk-kioslaves (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:56 +0100

kdesdk-kioslaves (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
- libsvn-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.10.2),
+               libsvn-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-kioslaves.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-kioslaves.git
@@ -19,7 +21,7 @@
 Package: kdesdk-kio-plugins
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
+Depends: subversion, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Suggests: perl-doc
 Description: transparent Subversion access and Perl documentation KIO slaves
  This package includes the svn and svn+ssh KIO plugins, which allows KDE

## kdesdk-kioslaves 4.13.0

=== debian/changelog ===
kdesdk-kioslaves (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:57:42 +0100

kdesdk-kioslaves (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:22:16 +0200

kdesdk-kioslaves (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:23:45 +0100

kdesdk-kioslaves (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:51:57 +0000

kdesdk-kioslaves (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:43:55 +0100

kdesdk-kioslaves (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:54:04 +0000

kdesdk-kioslaves (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:12:14 +0000

kdesdk-kioslaves (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:53:04 +0000

kdesdk-kioslaves (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:03:45 +0000

kdesdk-kioslaves (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:59:27 +0100

kdesdk-kioslaves (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:38:05 +0100

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0), 
 libsvn-dev,
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kioslaves-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdesdk-kio-plugins (= ${binary:Version}), kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kdesdk-kio-plugins
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-kio-plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-kioslaves-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-kioslaves-([\d\.]*).tar.xz

## kdesdk-kioslaves 4.14.1

=== debian/changelog ===
kdesdk-kioslaves (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:07:05 +0200

kdesdk-kioslaves (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:49:32 +0200

kdesdk-kioslaves (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:37:01 +0200

kdesdk-kioslaves (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:06:39 +0200

kdesdk-kioslaves (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:02:23 +0200

kdesdk-kioslaves (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:54:10 +0100

kdesdk-kioslaves (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - Keep debug package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Jun 2014 18:51:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,27 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), 
- libsvn-dev,
-Standards-Version: 3.9.4
-Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-kioslaves
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               libsvn-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
+Homepage: http://www.kde.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-kioslaves.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-kioslaves.git
 
 Package: kdesdk-kio-plugins
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
+Depends: subversion, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Suggests: perl-doc
 Description: transparent Subversion access and Perl documentation KIO slaves
  This package includes the svn and svn+ssh KIO plugins, which allows KDE

## kdesdk-kioslaves 4.14.2

=== debian/changelog ===
kdesdk-kioslaves (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:47:07 +0200

kdesdk-kioslaves (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:29:23 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libsvn-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-kioslaves-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-kioslaves-([\d\.]*).tar.xz

## kdesdk-kioslaves 14.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:35:57 -0700

kdesdk-kioslaves (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:40:00 -0800

kdesdk-kioslaves (4:14.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 04:31:34 -0800

kdesdk-kioslaves (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 10:33:03 -0800

kdesdk-kioslaves (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
   - Add missing file.
  * Debian merge, remaining changes: 
   - Keep dbg package

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 00:44:42 +0000

kdesdk-kioslaves (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:29:23 -0700

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libsvn-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-kioslaves.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-kioslaves.git

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: subversion, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kioslaves-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kate-dbg,
         kde-runtime-dbg,
         kdesdk-kio-plugins (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for kdesdk-kio-plugins
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-kio-plugins.

## kdesdk-kioslaves 15.08.2

=== debian/changelog ===
kdesdk-kioslaves (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:21:55 +0100

kdesdk-kioslaves (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:47:52 +0100

kdesdk-kioslaves (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:23:27 +0100

kdesdk-kioslaves (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:47:52 +0100

kdesdk-kioslaves (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:56:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                kdelibs5-dev,
                libsvn-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-kioslaves.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-kioslaves.git

## kdesdk-kioslaves 16.04.0

=== debian/changelog ===
kdesdk-kioslaves (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Disable svn support, it doesn't work with 1.9+
    Thanks to Chris Lamb for the report (Closes: 799525)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:06:42 +0200

kdesdk-kioslaves (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:06 +0100

kdesdk-kioslaves (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 19:00:23 +0100

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libsvn-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: subversion, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_svn=FALSE

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-kioslaves-dbg (<= 4:15.08.3-2~1.gbpeb13b4~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-kioslaves-([\d.]+).tar.xz

## kdesdk-kioslaves 16.04.3

=== debian/changelog ===
kdesdk-kioslaves (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release.

  [ Clive Johnston ]
  * Debian merge
  * New uptream release (16.04.1)
  * Update VCS fields to point to Launchpad git repo
  * Switch to KF5 build
  * New upstream release (16.04.2)

  [ Rik Mills ]
  * Merge with debian packaging
  * Disable svn support, it doesn't work with 1.9+
    Thanks to Chris Lamb for the report (Closes: debian bug 799525)
  * Update install files

  [ Clive Johnston ]
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:46:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libsvn-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
 
 Package: kdesdk-kio-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DBUILD_svn=FALSE

## kdesdk-kioslaves 16.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:38 +0000

kdesdk-kioslaves (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:18 +0000

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev (>= 4:4.14.30~),
                libsvn-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
 
 Package: kdesdk-kio-plugins
 Architecture: any

## kdesdk-kioslaves 17.04.3

=== debian/changelog ===
kdesdk-kioslaves (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Porting to KF5

  [ Rik Mills ]
  * Sync debian/copyright with debian KF5 update.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:38 +0100

## kdesdk-kioslaves 17.08.3

=== debian/changelog ===
kdesdk-kioslaves (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:07:30 +0100

kdesdk-kioslaves (4:17.08.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879331)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Re-add kdesdk-kio-plugins as transitional package for kio-perldoc
    - force the local installation directory to debian/kio-perldoc
  * Bump perl-doc as recommend.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Dec 2017 22:52:35 +0100

kdesdk-kioslaves (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:10 +0200

kdesdk-kioslaves (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:47 +0000

kdesdk-kioslaves (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:24 +0000

kdesdk-kioslaves (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:09 +0000

kdesdk-kioslaves (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:26 +0000

kdesdk-kioslaves (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:16:22 +0000

kdesdk-kioslaves (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:47 +0000

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5i18n-dev,
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-kioslaves.git

Package: kio-perldoc
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: perl-doc
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Perl documentation KIO slave
 This package includes the perldoc KIO plugin, which can be used to
 browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kio-plugins
Architecture: all
Section: oldlibs
Depends: kio-perldoc (>= ${source:Version}),
Description: transitional package for kio-perldoc
 This package is a transitional package for kio-perldoc. It can be safely
 removed after the upgrade.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kio-perldoc

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-kioslaves-dbg (<= 4:15.08.3-2~1.gbpeb13b4~)'

## kdesdk-kioslaves 17.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:15 +0000

kdesdk-kioslaves (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:11 +0000

kdesdk-kioslaves (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:57 +0000

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.27),
               libkf5i18n-dev,
               libkf5kio-dev,
               libsvn-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: subversion, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: perl-doc
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-kioslaves-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdesdk-kioslaves-([\d.]+).tar.xz

## kdesdk-kioslaves 18.04.3

=== debian/changelog ===
kdesdk-kioslaves (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:43 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5kio-dev,
                libsvn-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
+               qtbase5-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves

## kdesdk-kioslaves 18.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:55 +0000

kdesdk-kioslaves (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:17 +0000

kdesdk-kioslaves (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:12 +0000

kdesdk-kioslaves (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Add missing ${misc:Depends}.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:41 +0000

kdesdk-kioslaves (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge previous Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: kio-perldoc Breaks/Replaces against kdesdk-kio-plugins
      for package transition.
    - d/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 11:59:38 +0000

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5i18n-dev,
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves

Package: kio-perldoc
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: perl-doc
Breaks: kdesdk-kio-plugins (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kdesdk-kio-plugins (<< 4:18.08.3~), ${kde-l10n:all}
Description: Perl documentation KIO slave
 This package includes the perldoc KIO plugin, which can be used to
 browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kio-plugins
Architecture: all
Section: oldlibs
Depends: kio-perldoc (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kio-perldoc
 This package is a transitional package for kio-perldoc. It can be safely
 removed after the upgrade.
 .
 This package is part of the KDE Software Development Kit module.

## kdesdk-kioslaves 19.04.3

=== debian/changelog ===
kdesdk-kioslaves (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:35 +0100

kdesdk-kioslaves (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:42 +0100

kdesdk-kioslaves (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:25 +0100

kdesdk-kioslaves (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-10~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kdesdk-kioslaves 19.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:42 +0000

kdesdk-kioslaves (4:19.12.2-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Keep kdesdk-kio-plugins transitional package for upgrades from
        bionic.
      + Breaks/Replaces on kdesdk-kio-plugins.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 11:48:49 +0000

kdesdk-kioslaves (4:19.12.2-2) unstable; urgency=medium

  * Team upload.
  * Remove transitional dummy package kdesdk-kio-plugins.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Feb 2020 00:08:07 +0100

kdesdk-kioslaves (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2).
  * Use secure copyright file specification URI.
  * Add missing ${misc:Depends} to Depends for kdesdk-kio-plugins.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Switch Vcs-* URLs to Salsa.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Tidy up build dependencies.
  * Drop kde-l10n and dbgsym migration rules, not needed anymore after 2
    stable releases.
  * Borrow minimal upstream signing key from k3b.
  * Switch from dhmk to dh --with kf5.
  * Add hardening=+all build hardening flag.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2020 23:57:46 +0100

kdesdk-kioslaves (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:19:22 +0000

kdesdk-kioslaves (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:53:25 +0000

kdesdk-kioslaves (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:47:02 +0000

kdesdk-kioslaves (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.6~),
-               debhelper (>= 9),
-               extra-cmake-modules,
-               libkf5i18n-dev,
-               libkf5kio-dev,
+Build-Depends: cmake (>= 3.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.27.0~),
+               libkf5i18n-dev (>= 5.27.0~),
+               libkf5kio-dev (>= 5.27.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev,
-Standards-Version: 4.1.3
+               qtbase5-dev (>= 5.5.0~),
+Standards-Version: 4.5.0
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-kioslaves
+Rules-Requires-Root: no
 
 Package: kio-perldoc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install --buildsystem=kf5 --destdir=debian/kio-perldoc

## kdesdk-kioslaves 20.08.1

=== debian/changelog ===
kdesdk-kioslaves (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:37 +0100

kdesdk-kioslaves (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:46:04 +0100

kdesdk-kioslaves (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jul 2020 22:23:52 +0200

kdesdk-kioslaves (4:20.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the dh_auto_install override, not needed anymore since everything
    is already installed in the single binary package.
  * Depend on libpod-parser-perl for Pod::Parser. (Closes: #961161)

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jun 2020 21:43:46 +0200

=== debian/control ===
Source: kdesdk-kioslaves
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.27.0~),
               gettext,
               libkf5i18n-dev (>= 5.27.0~),
               libkf5kio-dev (>= 5.27.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
Standards-Version: 4.5.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesdk-kioslaves
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesdk-kioslaves.git
Rules-Requires-Root: no

Package: kio-perldoc
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 libpod-parser-perl
Recommends: perl-doc
Description: Perl documentation KIO slave
 This package includes the perldoc KIO plugin, which can be used to
 browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

## kdesdk-kioslaves 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,10 +26,13 @@
 )
 
 find_package(Perl 5.10)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054700
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 if(PERL_FOUND)
     add_subdirectory(perldoc)

=== debian/changelog ===
kdesdk-kioslaves (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Refresh upstream metadata.
  * Bump debhelper compatibility level to 13.
  * Update project homepage.
  * Remove Modestas Vainius, George Kiagiadakis, Maximiliano Curia from the
    uploaders, thanks for your work on the package!
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Dec 2020 14:53:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,18 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.27.0~),
                gettext,
                libkf5i18n-dev (>= 5.27.0~),
                libkf5kio-dev (>= 5.27.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0~),
-Standards-Version: 4.5.0
-Homepage: http://www.kde.org/
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/sdk/kdesdk-kioslaves
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesdk-kioslaves
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesdk-kioslaves.git
 Rules-Requires-Root: no

## kdesdk-kioslaves 20.12.3

=== debian/changelog ===
kdesdk-kioslaves (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:04 +0000

kdesdk-kioslaves (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:17 +0000

kdesdk-kioslaves (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:44 +0000

## kdesdk-kioslaves 21.08.1

=== debian/changelog ===
kdesdk-kioslaves (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:55 +0100

kdesdk-kioslaves (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:25 +0100

kdesdk-kioslaves (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:32 +0100

kdesdk-kioslaves (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:03 +0100

kdesdk-kioslaves (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:28 +0100

kdesdk-kioslaves (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:02 +0100

kdesdk-kioslaves (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:37 +0100

kdesdk-kioslaves (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:27 +0100
